Activity log for bug #1073108

Date Who What changed Old value New value Message
2012-10-30 10:39:36 C├ędric Dufour bug added bug
2013-03-04 18:41:02 Launchpad Janitor grub2 (Ubuntu): status New Confirmed
2013-03-11 10:01:17 Erik Stian Tefre bug added subscriber Erik Stian Tefre
2013-07-23 16:23:25 Peter Matulis bug added subscriber Canonical Support
2013-07-24 09:57:15 Frederic Masi bug watch added http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=626853
2014-09-17 08:55:04 Louis Bouchard grub2 (Ubuntu): importance Undecided Medium
2014-09-17 08:55:07 Louis Bouchard grub2 (Ubuntu): assignee Louis Bouchard (louis-bouchard)
2014-09-17 08:55:22 Louis Bouchard nominated for series Ubuntu Precise
2014-09-17 08:55:22 Louis Bouchard bug task added grub2 (Ubuntu Precise)
2014-09-17 08:55:30 Louis Bouchard grub2 (Ubuntu Precise): importance Undecided Medium
2014-09-17 08:55:33 Louis Bouchard grub2 (Ubuntu Precise): assignee Louis Bouchard (louis-bouchard)
2014-09-17 08:55:38 Louis Bouchard grub2 (Ubuntu Precise): status New In Progress
2014-09-17 09:10:02 Louis Bouchard grub2 (Ubuntu): status Confirmed Invalid
2014-09-17 09:25:23 Louis Bouchard description When a RAID1 system is degraded (e.g. unplug /dev/sdb, leaving obnly /dev/sda), grub-pc properly enters prompt but system is reset as soon as one attemps to boot OR one enters the command-line and issue the 'ls' command. This bug is known (and presumably fixed) to Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=626853 Shortly put: adding the 'GRUB_TERMINAL=console' to '/etc/default/grub' (and executing 'update-grub' afterwards) allows to circumvent the issue (verified on Ubuntu/Quantal 12.10). I believe this bug is critical because it shows up only when a disk fails but remains latent on a healthy system. Cheers [SRU justification] System does not boot in degraded mode on second disk. This is systematic when system is localized in french (fr_FR.UTF-8) [Impact] Unable to boot system in degraded mode [Fix] Backport uptream fix : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=626853 [Test Case] - Install system with system disk as RAID1 with french localization. - Remove first disk (/dev/sda) from the system - Boot the system. Without the patch, grub will loop forever and the system will not boot. With the patch, the system boots normally. [Regression] None expected. This fix is already in present in Debian Wheezy, Ubuntu Trusty and Utopic. [Description of the problem] When a RAID1 system is degraded (e.g. unplug /dev/sdb, leaving obnly /dev/sda), grub-pc properly enters prompt but system is reset as soon as one attemps to boot OR one enters the command-line and issue the 'ls' command. This bug is known (and presumably fixed) to Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=626853 Shortly put: adding the 'GRUB_TERMINAL=console' to '/etc/default/grub' (and executing 'update-grub' afterwards) allows to circumvent the issue (verified on Ubuntu/Quantal 12.10). I believe this bug is critical because it shows up only when a disk fails but remains latent on a healthy system. Cheers
2014-09-17 12:07:00 Louis Bouchard attachment added lp1073108_fix_infinite_loop.debdiff https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/1073108/+attachment/4206225/+files/lp1073108_fix_infinite_loop.debdiff
2014-09-17 12:26:43 Louis Bouchard bug added subscriber Ubuntu Stable Release Updates Team
2014-09-17 12:27:00 Louis Bouchard bug added subscriber Ubuntu Sponsors Team
2014-09-17 12:42:48 Launchpad Janitor branch linked lp:~ubuntu-core-dev/ubuntu/precise/grub2/precise
2014-09-17 15:10:37 Chris J Arges grub2 (Ubuntu Precise): status In Progress Fix Committed
2014-09-17 15:10:40 Chris J Arges bug added subscriber SRU Verification
2014-09-17 15:10:42 Chris J Arges tags verification-needed
2014-09-17 15:50:33 Launchpad Janitor branch linked lp:ubuntu/precise-proposed/grub2
2014-09-19 14:24:42 Louis Bouchard tags verification-needed verification-done
2014-09-25 15:08:50 Sebastien Bacher removed subscriber Ubuntu Sponsors Team
2014-09-25 16:25:57 Brian Murray removed subscriber Ubuntu Stable Release Updates Team
2014-09-25 16:31:10 Launchpad Janitor grub2 (Ubuntu Precise): status Fix Committed Fix Released
2014-09-25 16:54:57 Launchpad Janitor branch linked lp:ubuntu/precise-updates/grub2
2014-10-03 12:33:13 T. K. attachment added Ubuntu Grub Problem.txt https://bugs.launchpad.net/ubuntu/+source/grub2/+bug/1073108/+attachment/4223466/+files/Ubuntu%20Grub%20Problem.txt
2014-10-06 07:06:28 T. K. bug added subscriber T. K.